#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    int N;
    cin>>N;
    double A[N],P[N],Konacno[N];
    for(int i=0;i<N;i++){
        double x,y;
        cin>>A[i]>>P[i];
    }
    int br=0;
    for(int i=0;i<N;i++){
        double suma=0;
        double procenat=P[br];
        for(int j=0;j<N;j++){
            if(P[j]>=procenat) suma=suma+A[j];
        }
        Konacno[i]=suma*procenat/100;
        br++;
    }
    double maxx=0;
    for(int i=0;i<N;i++) if (maxx < Konacno[i]) maxx = Konacno[i];
    cout<<fixed<<maxx;
    return 0;
}